# Examples
- [ ] Address book
- [ ] Anvil
    - [ ] Boot anvil
    - [ ] Deploy contracts
    - [x] Fork
    - [ ] Testing
- [x] Big numbers
    - [x] Comparison and equivalence
    - [x] Conversion
    - [x] Creating Instances
    - [x] Math operations
    - [x] Utilities
- [ ] Contracts
    - [x] Abigen
    - [x] Compile
    - [ ] Creating Instances
    - [x] Deploy Anvil
    - [x] Deploy from ABI and bytecode
    - [x] Deploy Moonbeam
    - [x] Events
    - [x] Events with meta
    - [ ] Methods
- [ ] Events
  - [x] Logs and filtering
  - [ ] Solidity topics
- [ ] Middleware
  - [x] Builder
  - [x] Create custom middleware
  - [x] Gas escalator
  - [x] Gas oracle
  - [x] Nonce manager
  - [x] Policy
  - [x] Signer
  - [ ] Time lag
  - [ ] Transformer
- [x] Providers
  - [x] Http
  - [x] IPC
  - [x] Mock 
  - [x] Quorum
  - [x] Retry
  - [x] RW
  - [x] WS
- [ ] Queries
  - [ ] Blocks
  - [x] Contracts
  - [ ] Events
  - [x] Paginated logs
  - [x] UniswapV2 pair
  - [ ] Transactions
- [x] Subscriptions
  - [x] Watch blocks
  - [x] Subscribe events by type
  - [x] Subscribe logs
- [ ] Transactions
  - [x] Call override
  - [ ] Create raw transaction
  - [ ] Create typed transaction
  - [x] Decode input
  - [ ] EIP-1559
  - [x] ENS
  - [ ] Estimate gas
  - [ ] Get gas price
  - [x] Get gas price USD
  - [x] Remove liquidity
  - [ ] Set gas for a transaction
  - [ ] Send raw transaction
  - [ ] Send typed transaction
  - [x] Trace
  - [ ] Transaction receipt
  - [ ] Transaction status
  - [x] Transfer ETH
- [x] Wallets
  - [x] Mnemonic
  - [x] Ledger
  - [x] Local
  - [x] Permit hash
  - [x] Sign message
  - [x] Trezor
  - [x] Yubi
